Package org.eclipse.emf.cdo.transaction

## Interface CDOUserSavepoint

- All Known Subinterfaces:
    `CDOSavepoint`, `CDOXASavepoint`, `InternalCDOSavepoint`, `InternalCDOUserSavepoint`, `InternalCDOXASavepoint`

      public interface CDOUserSavepoint

  Creates a save point in a `CDOUserTransaction` that can be used to roll back a part of the transaction.

  Note: Save points do not flush to disk. Everything is done in memory on the client side.

  Since:
    3.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOUserSavepoint` | `getNextSavepoint()` |
    `int` | `getNumber()` |
    `CDOUserSavepoint` | `getPreviousSavepoint()` |
    `CDOUserTransaction` | `getTransaction()` |
    `boolean` | `isValid()` |
    `void` | `rollback()` |

- - ### Method Detail

    - #### getTransaction

          CDOUserTransaction getTransaction()

    - #### getNextSavepoint

          CDOUserSavepoint getNextSavepoint()

    - #### getPreviousSavepoint

          CDOUserSavepoint getPreviousSavepoint()

    - #### getNumber

          int getNumber()

      Since:
        4.1

    - #### isValid

          boolean isValid()

    - #### rollback

          void rollback()